Commit a294df19 authored by Admin's avatar Admin
Browse files

initial

parent 6c4aeda1
...@@ -6,6 +6,7 @@ ...@@ -6,6 +6,7 @@
# Ignore bundler config. # Ignore bundler config.
/.bundle /.bundle
/vendor
# Ignore the default SQLite database. # Ignore the default SQLite database.
/db/*.sqlite3 /db/*.sqlite3
......
...@@ -3,7 +3,7 @@ ...@@ -3,7 +3,7 @@
source 'https://rubygems.org' source 'https://rubygems.org'
git_source(:github) { |repo| "https://github.com/#{repo}.git" } git_source(:github) { |repo| "https://github.com/#{repo}.git" }
ruby '2.6.5' ruby '2.6.6'
gem 'rails', '~> 6.0.1' gem 'rails', '~> 6.0.1'
gem 'sassc-rails' gem 'sassc-rails'
...@@ -13,12 +13,13 @@ gem 'bootsnap', '>= 1.4.2', require: false ...@@ -13,12 +13,13 @@ gem 'bootsnap', '>= 1.4.2', require: false
gem 'jbuilder', '~> 2.7' gem 'jbuilder', '~> 2.7'
gem 'mdl_form', github: 'bjelline/rails-mdl-form' gem 'mdl_form', github: 'bjelline/rails-mdl-form'
gem 'pg' gem 'pg'
gem 'puma', '~> 4.1' gem 'puma'
gem 'rswag-api' gem 'rswag-api'
gem 'rswag-ui' gem 'rswag-ui'
gem 'turbolinks', '~> 5' gem 'turbolinks', '~> 5'
gem 'webpacker', '~> 4.0' gem 'webpacker', '~> 4.0'
gem 'webpacker-react' gem 'webpacker-react'
gem 'passenger', '>= 5.0.25', require: 'phusion_passenger/rack_handler'
group :development, :test do group :development, :test do
gem 'byebug', platforms: %i[mri mingw x64_mingw] gem 'byebug', platforms: %i[mri mingw x64_mingw]
......
...@@ -118,6 +118,9 @@ GEM ...@@ -118,6 +118,9 @@ GEM
mini_portile2 (~> 2.4.0) mini_portile2 (~> 2.4.0)
nokogiri (1.10.8-x64-mingw32) nokogiri (1.10.8-x64-mingw32)
mini_portile2 (~> 2.4.0) mini_portile2 (~> 2.4.0)
passenger (6.0.4)
rack
rake (>= 0.8.1)
pg (1.2.2) pg (1.2.2)
pg (1.2.2-x64-mingw32) pg (1.2.2-x64-mingw32)
public_suffix (4.0.3) public_suffix (4.0.3)
...@@ -258,8 +261,9 @@ DEPENDENCIES ...@@ -258,8 +261,9 @@ DEPENDENCIES
jbuilder (~> 2.7) jbuilder (~> 2.7)
listen (>= 3.0.5, < 3.2) listen (>= 3.0.5, < 3.2)
mdl_form! mdl_form!
passenger (>= 5.0.25)
pg pg
puma (~> 4.1) puma
rack-cors (~> 1.1) rack-cors (~> 1.1)
rails (~> 6.0.1) rails (~> 6.0.1)
rspec-rails (= 4.0.0.beta3) rspec-rails (= 4.0.0.beta3)
...@@ -278,7 +282,7 @@ DEPENDENCIES ...@@ -278,7 +282,7 @@ DEPENDENCIES
webpacker-react webpacker-react
RUBY VERSION RUBY VERSION
ruby 2.6.5p114 ruby 2.6.6p146
BUNDLED WITH BUNDLED WITH
2.1.4 2.1.4
...@@ -11,7 +11,7 @@ development: ...@@ -11,7 +11,7 @@ development:
pool: 5 pool: 5
timeout: 5000 timeout: 5000
username: postgres username: postgres
password: tobias password: postgres
# Warning: The database defined as "test" will be erased and # Warning: The database defined as "test" will be erased and
# re-generated from your development database when you run "rake". # re-generated from your development database when you run "rake".
...@@ -23,7 +23,7 @@ test: ...@@ -23,7 +23,7 @@ test:
pool: 5 pool: 5
timeout: 5000 timeout: 5000
username: postgres username: postgres
password: tobias password: postgres
production: production:
url: <%= ENV["DATABASE_URL"] %> url: <%= ENV["DATABASE_URL"] %>
...@@ -54,7 +54,7 @@ development: ...@@ -54,7 +54,7 @@ development:
compile: true compile: true
# Verifies that correct packages and versions are installed by inspecting package.json, yarn.lock, and node_modules # Verifies that correct packages and versions are installed by inspecting package.json, yarn.lock, and node_modules
check_yarn_integrity: true check_yarn_integrity: false
# Reference: https://webpack.js.org/configuration/dev-server/ # Reference: https://webpack.js.org/configuration/dev-server/
dev_server: dev_server:
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment